.cart__title {
  margin-bottom: 32px;
}

.cart__empty {
  margin-top: 40px;
  font-weight: 500;
}

.cart__items-container {
  margin-top: 40px;
  border: 1px solid var(--border-color);
}

.cart__list-item {
  padding: 20px 80px 20px 56px;
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid var(--border-color);
}

.cart__order, .cart__order > div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
}

.cart__order > div {
  justify-content: center;
}

.cart__order > div > p {
  font-weight: 500;
}

.cart__order > div:first-child > img {
  min-width: 120px;
  width: 120px;
  height: 120px;
  object-fit: cover;
}

.cart__order > div:last-child > .btn {
  padding: 0;
}

.cart__price > p {
  font-weight: 500;
}

.cart__price_type_mob {
  display: none;
}

.cart__total-price {
  padding: 24px 80px;
  display: flex;
  justify-content: flex-end;
  background-color: #f0f0f0;
}

.cart__total-price > p {
  font-weight: 700;
}

.cart__button-container {
  margin-top: 24px;
  display: flex;
  justify-content: flex-end;
}

.cart__button-container .btn {
  min-height: 50px;
  padding: 0 72px;
}

@media (max-width: 768px) {
  .cart__title {
    margin-bottom: 24px;
  }

  .cart__items-container {
    margin-top: 24px;
  }

  .cart__list-item > div > img {
    max-height: 100px;
  }

  .cart__list-item {
    padding: 32px 40px;
  }

  .cart__total-price {
    padding: 24px 40px;
  }
}

@media (max-width: 576px) {
  .cart__list-item p {
    font-size: 16px;
  }

  .cart__list-item > div > img {
    max-height: 75px;
  }

  .cart__list-item {
    padding: 24px 16px;
  }

  .cart__total-price {
    padding: 24px 16px;
  }

  .cart__total-price > p {
    font-size: 16px;
  }

  .cart__button-container .btn {
    padding: 0;
    width: 100%;
  }

  .cart__order, .cart__order > div {
    gap: 12px;
  }

  .cart__order > div:first-child > img {
    min-width: 75px;
    width: 75px;
    height: 75px;
  }

  .cart__price {
    display: none;
  }

  .cart__price.cart__price_type_mob {
    margin-top: 12px;
    display: block;
    text-align: center;
  }
}
